curl --request DELETE \
--url https://api.vantage.sh/v2/access_policies/{access_policy_token} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data @- <<EOF
{
"title": "<string>",
"policy": {
"api_version": "v1",
"policy": {
"filter": "(vantage.provider = 'aws')"
}
},
"description": "<string>",
"team_tokens": [
"team_abcd1234"
]
}
EOFimport requests
url = "https://api.vantage.sh/v2/access_policies/{access_policy_token}"
payload = {
"title": "<string>",
"policy": {
"api_version": "v1",
"policy": { "filter": "(vantage.provider = 'aws')" }
},
"description": "<string>",
"team_tokens": ["team_abcd1234"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
title: '<string>',
policy: {api_version: 'v1', policy: {filter: '(vantage.provider = \'aws\')'}},
description: '<string>',
team_tokens: ['team_abcd1234']
})
};
fetch('https://api.vantage.sh/v2/access_policies/{access_policy_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>",
"title": "Engineering costs",
"description": "Limits cost visibility to the Engineering team.",
"policy": {
"api_version": "v1",
"policy": {
"filter": "(vantage.provider = 'aws')"
}
},
"team_tokens": [
""
],
"created_by": "usr_abcd1234",
"created_at": "2024-01-18T17:39:37Z"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Delete access policy
Delete an Access Policy.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
The AccessPolicy document version.
v1 Vantage Query Language (VQL) that controls which costs this AccessPolicy allows.
Body
Delete an Access Policy.
The title of the AccessPolicy.
The AccessPolicy definition as a v1 document with vantage.* VQL.
{ "api_version": "v1", "policy": { "filter": "(vantage.provider = 'aws')" } }
The description of the AccessPolicy.
The tokens for Teams this AccessPolicy is assigned to.
["team_abcd1234"]
Response
AccessPolicy model
The title of the AccessPolicy.
"Engineering costs"
The description of the AccessPolicy.
"Limits cost visibility to the Engineering team."
The AccessPolicy definition as a v1 document with vantage.* VQL.
{ "api_version": "v1", "policy": { "filter": "(vantage.provider = 'aws')" } }
The tokens for Teams this AccessPolicy is assigned to.
The token for the User who created the AccessPolicy.
"usr_abcd1234"
The date and time, in UTC, the AccessPolicy was created. ISO 8601 Formatted.
"2024-01-18T17:39:37Z"